import { http } from "./httpClient";

import { UserReviewsConsultantsParams } from "../models/reviews.model";
import { AppointmentLog } from "../models/appointment.model";

class ReviewsService {

  //客戶進行滿意度評分
  userReviewsConsultants(data: UserReviewsConsultantsParams) {
    return http.post('/satisfaction/score', data );
  }

  //取得所有評分紀錄
  async getMyReviewLog(): Promise<AppointmentLog[]> {
    return http.get('/satisfaction/getMySatisfaction').then(res => res.data);
  }

  // 顧問主動發送滿意度通知
  sendSatisfactionToClient(appointmentId: number): void {
    http.post('/consultant/sendSatisfactionToClient/').then((res) => res);
  }
}

export default new ReviewsService();
